LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 08-07-2009, 09:12 AM   #1
BikeRidesBob
LQ Newbie
 
Registered: Aug 2009
Location: Menifee, California
Distribution: Fedora 11
Posts: 1

Rep: Reputation: 0
Can't play webcasts in Fedora 11


I am unable to play archived audio webcasts that certain corporations post on their web sites. The webcasts typically can be accessed either by Windows Media Player or RealPlayer. Since I am using Fedora 11, I am trying to listen to the webcasts with RealPlayer. I have the latest version of RealPlay for Linux installed.

When I try to play the webcasts, I get a message that says "An additional plugin is required to play this content. The following plugin is required: Microsoft Media Server (MMS) protocol source. Do you want to search for this now?"

I click yes and am now told that I need to install the following plugin:
GStreamer streaming media framework "bad" gstreamer-plugins-basd-0.10.11-4.fc11 (i586)

After the software installer resolves dependencies, it tells me that 27 additional packages also have to be installed. They are:

mjpegtools-libs-1.9.0.1.fc11 (i586)
x264-libs-0.0.0-24.20090319gitc109c8.c11 (i586)
libass-0.9.6-2.fc11 (i586)
celt-0.5.2-2.fc11 (i586)
libvncsserver-0.9.1-4.fc11 (i586)
xvidcore-1.1.1-2.fc11 (i586)
libquicktime-1.1.1.1-2.fc11 (i586)
faac-1.28-1.fc11 (i586)
dirac-libs-1.0.2-2.fc11 (i586)
lzo-minilzo-2.03-2.fc11 (i586)
schroedinger-1.0.7-1.fc11 (i586)
faad2-libs-1:2.7-1.fc11 (i586)
libcd1394-2.1.2-1.fc11 (i586)
libsysfs-2.1.0-5.fc11 (i586)
enca-1.9.5-.fc11 (i586)
fftw-3.2.1-2.fc11 (i586)
libmms-0.4-4.fc11 (i586)
libofa-0.9.3-15.fc11 (i586)
libdvdnav-4.1.3-2.fc11 (i586)
directfb-1.23.7-4.fc11 (i586)
libcdaudio-0.99.2-3.fc11 (i586)
lame-libs-3.98.2-3.fc11 (i586)
libdca-0.0.5-4.fc11 (i586)
libdvdread-4.1.3-2.fc11 (i586)
imlib2-1.4.2-4.fc11 (i586)
libmp4v2-1.5.0.1-9.fc11 (i586)
ffmpeg-libs-0.5-2.fc11 (i586)

After a lot of downloading and attempt at installation, I get the message:

"Local file conflict between packages. Two packages provide the same file. This is usually due to mixing packages from different software sources."

When I click on "More Detail," I get this message:

Test Transaction Errors: file /usr/lib/gstreamer-0.10/libgstselector.so from install of gstreamer-plugins-bad-0.10.11-4.fc11.i586 conflicts with file from package gstreamer-plugins-base-0.10.23-3.fc11.i586
file /usr/lib/gstreamer-0.10/libgstdeinterlace.so from install of gstreamer-plugins-bad-0.10.11-4.fc11.i586 conflicts with file from package gstreamer-plugins-good-0.10.15-4.fc11.i586
file /usr/lib/gstreamer-0.10/libgstflv.so from install of gstreamer-plugins-bad-0.10.11-4.fc11.i586 conflicts with file from package gstreamer-plugins-good-0.10.15-4.fc11.i586
file /usr/lib/gstreamer-0.10/libgstrtpmanager.so from install of gstreamer-plugins-bad-0.10.11-4.fc11.i586 conflicts with file from package gstreamer-plugins-good-0.10.15-4.fc11.i586
file /usr/lib/gstreamer-0.10/libgsty4menc.so from install of gstreamer-plugins-bad-0.10.11-4.fc11.i586 conflicts with file from package gstreamer-plugins-good-0.10.15-4.fc11.i586

For an example of the type of webcast I am trying to listen to, you can go to this link:

http://www.grubb-ellis.com/InvestorR...s/Default.aspx

Any solutions?
 
Old 08-20-2009, 03:50 AM   #2
hesthecat
LQ Newbie
 
Registered: Aug 2009
Posts: 2

Rep: Reputation: 0
I'm having the same problem when trying to upgrade Movie Player or install VLC to play some AVI's. I get the following error:

Quote:
Test Transaction Errors: file /usr/lib/libswscale.so.0.7.1 conflicts between attempted installs of libswscale0-0.5-30.fc11.i586 and ffmpeg-libs-0.5-2.fc11.i586
file /usr/lib/libavutil.so.49.15.0 conflicts between attempted installs of libavutil49-0.5-30.fc11.i586 and ffmpeg-libs-0.5-2.fc11.i586

Also running Fedora 11
 
Old 08-24-2009, 02:26 AM   #3
hesthecat
LQ Newbie
 
Registered: Aug 2009
Posts: 2

Rep: Reputation: 0
I found a solution to my conflict with ffmpeg files and various other faad2 etc when trying to install VLC. This may or may not work for you. I just tried to gain access to the webcast and I couldn't get it to play with VLC. Noting the system requirements there doesn't seem to be a listed method via Linux but if you bash away at it long enough I guess your hard work may pay off.

So all this was from my question over at http://forums.fedoraforum.org/showthread.php?p=1256373

1) I had other repo's that were causing downloads to falter during installation. You could try temporarily disabling any additional repo's or removing totally as I did. Though I had only installed it recently so removal was a no-brainer. That removed one of my conflicts immediately.

2) Search for the offending conflicting files. Your issue seems to be specifically plugins so it might be worth considering navigating to these files and removing them one by one. When I did this with Yum most conflicting installs were also removed. Some nastier files that Yum didn't even think were installed, yet I could see right there in the folders, had to be done via terminal. Like with your setup I'd have gone straight to gstreamer-plugins-good and removed the whole darned thing. Now I can't say that will work for you but that's the way I tried it and eventually got results.
 
  


Reply

Tags
conflict, error, f11, fedora, fedora 11, ffmpeg, player, totem, vlc


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
DVD's won't play with Fedora 9..... clakelly Linux - Desktop 1 06-29-2008 09:05 AM
Play mp3s in fedora Pytheas Linux - Software 3 04-29-2008 06:47 AM
why fedora 6 can not play audio. lianbinjie Linux - Software 1 07-20-2007 04:13 AM
Linux and/or Free Software Webcasts win32sux Linux - General 1 11-04-2004 08:14 AM
.WMV will not play on fedora biotek1 Fedora 21 03-07-2004 09:32 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 08:01 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration